this.name        = "shipclassequip-hull"; 
this.author      = "Redspear"; 
this.copyright   = "2016 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "0.5";

"use strict";

// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
//	if (player.ship.equipmentStatus("EQ_VERY_SMALL_HULL") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_SMALL_HULL") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_MEDIUM_HULL") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_LARGE_HULL") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_HUGE_HULL") != "EQUIPMENT_UNAVAILABLE")
//		{return}
//	
//else{	
	if (player.ship.dataKey=="adder-player" || player.ship.dataKey=="eagle-player" || player.ship.dataKey == "gnat-player" || player.ship.dataKey == "aspmk1-player" ||player.ship.dataKey == "sidewinder-player" || player.ship.dataKey == "gecko-player" || player.ship.dataKey == "viper-player" || player.ship.dataKey == "osprey-player" || player.ship.dataKey == "viper-interceptor-player" || player.ship.dataKey == "griffkrait-player")
		{player.ship.awardEquipment("EQ_VERY_SMALL_HULL");
		player.ship.extraCargo = 5;
		$berthNumber = 1;
		player.ship.injectorSpeedFactor = 11;
		player.ship.maxAftShield = 96;
		player.ship.maxForwardShield = 96;}

else{	
	if (player.ship.dataKey=="asp-player" || player.ship.dataKey=="krait-player" || player.ship.dataKey == "ferdelance-player" || player.ship.dataKey == "mamba-player" ||player.ship.dataKey == "cobramk1-player" || player.ship.dataKey == "hognose-player" || player.ship.dataKey == "moray-player" || player.ship.dataKey == "bug-player" || player.ship.dataKey == "cobramk2-player")
		{player.ship.awardEquipment("EQ_SMALL_HULL");
		player.ship.extraCargo = 10;
		$berthNumber = 2;
		player.ship.injectorSpeedFactor = 9;
		player.ship.maxAftShield = 112;
		player.ship.maxForwardShield = 112;}
	
else{	
	if (player.ship.dataKey=="cobra3-player" || player.ship.dataKey=="transporter-player" || player.ship.dataKey=="mussurana-player" || player.ship.dataKey=="shuttle-player" || player.ship.dataKey=="imperial_courier-player" || player.ship.dataKey == "griffin-player" || player.ship.dataKey == "iguana-player" || player.ship.dataKey == "bushmaster-player" || player.ship.dataKey == "salamander-player" || player.ship.dataKey == "wolf-player")
		{player.ship.awardEquipment("EQ_MEDIUM_HULL");
		player.ship.extraCargo = 15;
		$berthNumber = 3;
		player.ship.injectorSpeedFactor = 7;
		player.ship.maxAftShield = 128;
		player.ship.maxForwardShield = 128;}
	
else{
	if (player.ship.dataKey=="monitor-player" || player.ship.dataKey=="python-player" || player.ship.dataKey=="boa-player" || player.ship.dataKey=="boa-mk2-player" || player.ship.dataKey=="ghavial-player" || player.ship.dataKey=="chameleon-player" || player.ship.dataKey=="imperial_explorer-player" || player.ship.dataKey=="tiger-player" || player.ship.dataKey=="imperial_trader-player" || player.ship.dataKey=="ophidian-player")
		{player.ship.awardEquipment("EQ_LARGE_HULL");
		player.ship.extraCargo = 25;
		$berthNumber = 5;
		player.ship.injectorSpeedFactor = 5;
		player.ship.maxAftShield = 160;
		player.ship.maxForwardShield = 160;}
		
else{
	if (player.ship.dataKey=="anaconda-player" || player.ship.dataKey=="python_cruiser-player" || player.ship.dataKey=="puma-player" || player.ship.dataKey=="panther-player" || player.ship.dataKey=="griffboa-player")
		{player.ship.awardEquipment("EQ_HUGE_HULL");
		player.ship.extraCargo = 40;
		$berthNumber = 9;
		player.ship.injectorSpeedFactor = 4;
		player.ship.maxAftShield = 192;
		player.ship.maxForwardShield = 192;}		
		
else{	//oxp ships hull size based on cargo capacity rather than mass (compatible with rescaling)
	if (player.ship.cargoSpaceCapacity>200)
		{player.ship.awardEquipment("EQ_HUGE_HULL");
		player.ship.extraCargo = 40;
		player.ship.injectorSpeedFactor = 4;
		player.ship.maxAftShield = 192;
		player.ship.maxForwardShield = 192;}
		
else{	
	if (player.ship.cargoSpaceCapacity>5)
		{player.ship.awardEquipment("EQ_LARGE_HULL");
		player.ship.extraCargo = 25;
		player.ship.injectorSpeedFactor = 5;
		player.ship.maxAftShield = 160;
		player.ship.maxForwardShield = 160;}
				
else{	
	if (player.ship.cargoSpaceCapacity>5)
		{player.ship.awardEquipment("EQ_MEDIUM_HULL");
		player.ship.extraCargo = 15;
		player.ship.injectorSpeedFactor = 7;
		player.ship.maxAftShield = 128;
		player.ship.maxForwardShield = 128;}
		
else{
	if (player.ship.cargoSpaceCapacity>5 || player.ship.max_flight_speed>300)
		{player.ship.awardEquipment("EQ_SMALL_HULL");
		player.ship.extraCargo = 10;
		player.ship.injectorSpeedFactor = 9;
		player.ship.maxAftShield = 112;
		player.ship.maxForwardShield = 112;}
		
else{	
		{player.ship.awardEquipment("EQ_VERY_SMALL_HULL");
		player.ship.extraCargo = 5;
		player.ship.injectorSpeedFactor = 11;
		player.ship.maxAftShield = 96;
		player.ship.maxForwardShield = 96;}
	}	
}
}
}
}
}
}
}
}
}
//}	