this.name        = "shipclassequip-tech"; 
this.author      = "Redspear"; 
this.copyright   = "2016 Redspear";
this.licence     = "CC BY-NC-SA 3.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "0.5";

"use strict";

// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
//	if (player.ship.equipmentStatus("EQ_ARCHAIC_TECH") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_LOW_TECH") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_STANDARD_TECH") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_HIGH_TECH") != "EQUIPMENT_UNAVAILABLE") || (player.ship.equipmentStatus("EQ_CUTTING_EDGE_TECH") != "EQUIPMENT_UNAVAILABLE")
//		{return}
	
//else{
	if (player.ship.dataKey=="lifter-player" || player.ship.dataKey=="gecko-player" || player.ship.dataKey=="aspmk1-player" || player.ship.dataKey == "bug-player" || player.ship.dataKey=="hognose-player" || player.ship.dataKey == "shuttle-player" || player.ship.dataKey == "transporter-player" || player.ship.dataKey == "python-player" || player.ship.dataKey == "monitor-player" || player.ship.dataKey == "monitor-player" || player.ship.dataKey == "python-cruiser-player") //&& (player.ship.equipmentStatus("EQ_STANDARD_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_ARCHAIC_TECH");
		player.ship.sunGlareFilter = 0.0;
		player.ship.injectorBurnRate = 0.35;
		player.ship.renovationMultiplier = 0.25;}

else{
	if (player.ship.dataKey=="drakemk1-player" || player.ship.dataKey=="viper-player" || player.ship.dataKey=="gnat-player" || player.ship.dataKey == "asp-player" || player.ship.dataKey=="cobramk1-player" || player.ship.dataKey == "bushmaster-player" || player.ship.dataKey == "griffin-player" || player.ship.dataKey == "ophidian-player" || player.ship.dataKey == "ghavial-player" || player.ship.dataKey == "anaconda-player") //&& (player.ship.equipmentStatus("EQ_STANDARD_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_LOW_TECH");
		player.ship.sunGlareFilter = 0.2;
		player.ship.injectorBurnRate = 0.3;
		player.ship.renovationMultiplier = 0.5;}

else{
	if (player.ship.dataKey=="worm-player" || player.ship.dataKey=="adder-player" || player.ship.dataKey=="sidewinder-player" || player.ship.dataKey == "krait-player" || player.ship.dataKey=="moray-player" || player.ship.dataKey=="morayMED-player" || player.ship.dataKey == "salamander-player" || player.ship.dataKey == "iguana-player" || player.ship.dataKey == "chameleon-player" || player.ship.dataKey == "boa-player" || player.ship.dataKey == "puma-player") //&& (player.ship.equipmentStatus("EQ_STANDARD_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_STANDARD_TECH");
		player.ship.sunGlareFilter = 0.4;
		player.ship.injectorBurnRate = 0.25;
		player.ship.renovationMultiplier = 0.75;}
		
else{
	if (player.ship.dataKey=="drakemk2-player" || player.ship.dataKey=="eagle-player" || player.ship.dataKey=="osprey-player" || player.ship.dataKey=="mamba-player" || player.ship.dataKey=="cobramk2-player" || player.ship.dataKey=="cobra3-player" || player.ship.dataKey == "wolf-player" || player.ship.dataKey == "imperial_trader-player" || player.ship.dataKey == "imperial_explorer-player" || player.ship.dataKey == "panther-player") //&& (player.ship.equipmentStatus("EQ_HIGH_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_HIGH_TECH");
		player.ship.sunGlareFilter = 0.6;
		player.ship.injectorBurnRate = 0.2;
		player.ship.renovationMultiplier = 1.0;}

else{
	if (player.ship.dataKey=="griffkrait-player" || player.ship.dataKey=="cat-player" || player.ship.dataKey=="constrictor-player" || player.ship.dataKey=="boa-mk2-player" || player.ship.dataKey=="ferdelance-player" || player.ship.dataKey=="mussurana-player" || player.ship.dataKey == "imperial_courier-player" || player.ship.dataKey == "tiger-player" || player.ship.dataKey == "griffboa-player") //&& (player.ship.equipmentStatus("EQ_HIGH_TECH") === "EQUIPMENT_UNAVAILABLE")
		{player.ship.awardEquipment("EQ_CUTTING_EDGE_TECH");
		player.ship.sunGlareFilter = 0.8;
		player.ship.injectorBurnRate = 0.15;
		player.ship.renovationMultiplier = 1.5;}		
		
else{	//oxp ship tech based on recharge rate
	if (player.ship.energyRechargeRate>4)
		{player.ship.awardEquipment("EQ_CUTTING_EDGE_TECH");
		player.ship.sunGlareFilter = 0.8;
		player.ship.injectorBurnRate = 0.15;
		player.ship.renovationMultiplier = 1.5;}
		
else{
	if (player.ship.energyRechargeRate>3)
		{player.ship.awardEquipment("EQ_HIGH_TECH");
		player.ship.sunGlareFilter = 0.6;
		player.ship.injectorBurnRate = 0.2;
		player.ship.renovationMultiplier = 1.0;}
		
else{	
	if (player.ship.energyRechargeRate>2)
		{player.ship.awardEquipment("EQ_STANDARD_TECH");
		player.ship.sunGlareFilter = 0.4;	
		player.ship.injectorBurnRate = 0.25;
		player.ship.renovationMultiplier = 0.75;}

else{
	if (player.ship.energyRechargeRate>1)
		{player.ship.awardEquipment("EQ_LOW_TECH");	
		player.ship.sunGlareFilter = 0.2;
		player.ship.injectorBurnRate = 0.3;
		player.ship.renovationMultiplier = 0.5;}

else{		
		{player.ship.awardEquipment("EQ_ARCHAIC_TECH");
		player.ship.sunGlareFilter = 0.0;
		player.ship.injectorBurnRate = 0.35;
		player.ship.renovationMultiplier = 0.25;}
			
}
}
}
}
}
}
}
}
}
}
//}

	//effects due to having heat shielding and the advanced navigation array installed/damaged - heat shielding idea by spara
this.equipmentDestroyed = this.equipmentDamaged = function(equipment) {
	if (equipment === "EQ_HEAT_SHIELD")
		{player.ship.sunGlareFilter -= 0.2;}
		
	//effects due to having fuel scoops installed/damaged
	if (equipment === "EQ_FUEL_SCOOPS")
		{player.ship.injectorBurnRate -= 0.05;}			
		
//	if (equipment === "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
//		player.ship.hyperspaceSpinTime += 5;		
}

this.equipmentRepaired = this.equipmentAdded = function(equipment) {
	if (equipment === "EQ_HEAT_SHIELD")
		{player.ship.sunGlareFilter += 0.2;}	
		
	if (equipment === "EQ_HEAT_SHIELD")
		{player.ship.injectorBurnRate += 0.05;}			
		
//	if (equipment === "EQ_ADVANCED_NAVIGATIONAL_ARRAY")
//		player.ship.hyperspaceSpinTime -= 5;	
}